### Method

# Handy Leaflet set_homogeneous

since: 1.0

#### Declaration [src]

    void
    hdy_leaflet_set_homogeneous (
      HdyLeaflet* self,
      gboolean folded,
      GtkOrientation orientation,
      gboolean homogeneous
    )

#### Description [src]

Sets whether to be homogeneous for the given fold and orientation.

If it is homogeneous, the `HdyLeaflet` will request the same width or height for all its children depending on the orientation. If it isn’t and it is folded, the leaflet may change width or height when a different child becomes visible.

Available since: 1.0

#### Parameters

`folded`

  Type: `gboolean`

  The fold.

`orientation`

  Type: `GtkOrientation`

  The orientation.

`homogeneous`

  Type: `gboolean`

  `TRUE` to make `self` homogeneous.